## org.w3c.jigsaw.acl
Class BasicAuthPrincipal

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.HTTPPrincipal
            |
            +--org.w3c.jigsaw.acl.BasicAuthPrincipal

public class BasicAuthPrincipal
extends HTTPPrincipal

Field Summary
`protected java.lang.String` `cookie`
`protected java.lang.String` `name`
`protected java.lang.String` `password`

Fields inherited from class org.w3c.jigsaw.acl.HTTPPrincipal
`request`

Constructor Summary
`BasicAuthPrincipal(Request request)`

Method Summary
`boolean` `equals(java.lang.Object another)`
`protected java.lang.String` `getCookie()`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class org.w3c.jigsaw.acl.HTTPPrincipal
`getInetAddress, getRealm, getRequest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### password

    protected java.lang.String password

### cookie

    protected java.lang.String cookie

Constructor Detail

### BasicAuthPrincipal

    public BasicAuthPrincipal(Request request)
                       throws InvalidAuthException

Method Detail

### getCookie

    protected java.lang.String getCookie()

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    equals in class HTTPPrincipal

### toString

    public java.lang.String toString()

  Overrides:
    toString in class HTTPPrincipal

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getName

    public java.lang.String getName()

  Overrides:
    getName in class HTTPPrincipal